=== debian/changelog ===
netcdf-parallel (1:4.6.1-3) unstable; urgency=medium

  * Include netcdf_par.h in libnetcdf-mpi-dev.
  * Set binary and -dev packages as Multi-Arch: same

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Nov 2018 14:38:52 +0000

netcdf-parallel (1:4.6.1-2) unstable; urgency=medium

  * Remove references to Debian GIS team, as this fork is purely maintained
    by me.
  * Push to separate repo on salsa, salsa.d.o/mckinstry/netcdf-parallel
  * Standards-Version now 4.2.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Nov 2018 06:24:26 +0000

netcdf-parallel (1:4.6.1-1) unstable; urgency=medium

  * Fork netcdf to create netcdf-parallel. Closes: #902976

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Jul 2018 19:55:48 +0100
