=== debian/control ===
Source: netcdf-parallel
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160314),
               cmake (>= 3.6.1),
               chrpath,
               m4,
               doxygen,
               graphviz,
               libjs-jquery,
               libaec-dev,
               libhdf5-dev (>= 1.8.13+docs-1~),
 	       libhdf5-mpi-dev (>= 1.8.13+docs~),
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libpnetcdf-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/mckinstry/netcdf-parallel
Vcs-Git: https://salsa.debian.org/mckinstry/netcdf-parallel.git -b dev-coinstallable
Homepage: http://www.unidata.ucar.edu/software/netcdf/

Package: libnetcdf-mpi-13
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C run-time shared libraries required
 by programs.

Package: libnetcdf-pnetcdf-13
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C run-time shared libraries required
 by programs.

Package: libnetcdf-mpi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnetcdf-mpi-13 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends},
         pkg-config
Suggests: netcdf-bin, netcdf-doc
Description: creation, access, and sharing of array-oriented scientific data
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package provides headers.

Package: libnetcdf-pnetcdf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnetcdf-pnetcdf-13 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends},
         pkg-config
Suggests: netcdf-bin, netcdf-doc
Description: creation, access, and sharing of array-oriented scientific data
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package provides headers.
