=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags, except:
#  pie: causes build failure
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
INCDIR:=/usr/include

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
SO_MAJOR:=13
SO_VERSION:=13

include /usr/share/mpi-default-dev/debian_defaults
MPI:=$(ARCH_DEFAULT_MPI_IMPL)

include /usr/share/dpkg/pkg-info.mk


# Verbose test output
export VERBOSE=1
export DH_VERBOSE=1

CFLAGS:= $(shell dpkg-buildflags --get CFLAGS)

%:
	dh $@ --buildsystem=cmake

CMAKE_FLAGS:=   -DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_SKIP_RPATH:BOOL=ON \
		-DENABLE_TESTS:BOOL=ON \
		-DENABLE_DOXYGEN:BOOL=ON \
		-DENABLE_MMAP=ON \
		-DUSE_SZIP=ON 

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-pnetcdf -- \
		$(CMAKE_FLAGS) \
		-DHDF5_INCLUDE_PATH=$(INCDIR)/hdf5/serial \
		-DHDF5_LIBRARY_PATH=$(LIBDIR)//hdf5/serial \
		-DENABLE_PNETCDF=ON \
		-DPNETCDF_INCLUDE_DIR=/usr/include \
		-DLIBLIB_VERSION_SCRIPT=-Wl,--version-script,$(CURDIR)/debian/netcdf-pnetcdf.ver \
		-DCMAKE_C_COMPILER=mpicc  \
		-DNETCDF_LIB_NAME=netcdf_pnetcdf 
	dh_auto_configure --builddirectory=build-mpi --  \
		$(CMAKE_FLAGS) \
		-DENABLE_PARALLEL_TESTS:BOOL=OFF \
		-DUSE_HDF5=ON \
	        -DHDF5_INCLUDE_PATH=$(INCDIR)/hdf5/$(MPI) \
		-DHDF5_LIBRARY_PATH=$(LIBDIR)/hdf5/$(MPI) \
		-DHDF5_C_LIBRARIES=$(LIBDIR)/hdf5/$(MPI)/libhdf5.so \
		-DHDF5_HL_LIBRARIES=$(LIBDIR)/hdf5/$(MPI)/libhdf5_hl.so \
		-DCMAKE_C_FLAGS="${CFLAGS} -DHDF5_PARALLEL" \
		-DLIBLIB_VERSION_SCRIPT=-Wl,--version-script,$(CURDIR)/debian/netcdf-mpi.ver \
		-DCMAKE_C_COMPILER=mpicc  \
		-DNETCDF_LIB_NAME=netcdf_mpi

override_dh_auto_build:
	$(MAKE) -C build-pnetcdf
	$(MAKE) -C build-mpi

override_dh_auto_clean:
	rm -rf build-* debian/tmp* debian/*.postinst

override_dh_auto_install:
	for d in mpi pnetcdf ; do \
		$(MAKE) -C build-$$d install DESTDIR=$(CURDIR)/debian/tmp-$$d ; \
		mkdir -p debian/tmp/$(LIBDIR)/netcdf/$$d/cmake debian/tmp/$(LIBDIR)/cmake debian/tmp/$(LIBDIR)/pkgconfig ; \
		cp debian/tmp-$$d/$(LIBDIR)/libnetcdf.settings debian/tmp/$(LIBDIR)/netcdf/$$d/libnetcdf.settings ; \
		mkdir -p debian/tmp/$(LIBDIR)/netcdf/$$d/include ; \
		cp debian/tmp-$$d/usr/include/*	debian/tmp/$(LIBDIR)/netcdf/$$d/include ; \
		cp -a debian/tmp-$$d/$(LIBDIR)/cmake/netCDF	debian/tmp/$(LIBDIR)/cmake/netCDF_$$d ; \
		cp -a debian/tmp-$$d/$(LIBDIR)/libnetcdf_*.so* debian/tmp/$(LIBDIR) ; \
		dh_link -p libnetcdf-$$d-dev  $(LIBDIR)/cmake/netCDF_$$d $(LIBDIR)/netcdf/$$d/cmake/netCDF ; \
		cp debian/tmp-$$d/$(LIBDIR)/libnetcdf_$$d.so.$(SO_VERSION) debian/tmp/$(LIBDIR)/libnetcdf_$$d.so.$(SO_VERSION) ; \
		sed -e 's%@MULTIARCH@%$(DEB_HOST_MULTIARCH)%g' < debian/libnetcdf-$$d-dev.postinst.in \
			> debian/libnetcdf-$$d-dev.postinst ; \
		echo "prefix=$(LIBDIR)/netcdf/$$d" > debian/tmp/$(LIBDIR)/pkgconfig/netcdf-$$d.pc ; \
		sed -e 's/-lnetcdf/-lnetcdf_$$d/' < debian/tmp-$$d/$(LIBDIR)/pkgconfig/netcdf.pc \
			| grep -v "prefix=" \
			>> debian/tmp/$(LIBDIR)/pkgconfig/netcdf-$$d.pc ; \
		dh_link -p libnetcdf-$$d-dev $(LIBDIR)/libnetcdf_$$d.so.$(SO_VERSION) $(LIBDIR)/netcdf/$$d/libnetcdf.so ; \
		dh_link -p libnetcdf-$$d-dev $(LIBDIR)/libnetcdf_$$d.so.$(SO_VERSION) $(LIBDIR)/libnetcdf_$$d.so ; \
		dh_link -p libnetcdf-$$d-dev $(LIBDIR)/netcdf/$$d  $(LIBDIR)/netcdf/$$d/lib ;  \
		dh_link -p libnetcdf-$$d-dev  $(LIBDIR)/pkgconfig/netcdf-$$d.pc $(LIBDIR)/netcdf/$$d/pkgconfig/netcdf.pc ;\
		done

	# Strip RPATH
	-find $(CURDIR)/debian/tmp/usr/bin -type f -not -name nc-config -exec chrpath --delete {} \;
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
	cp include/netcdf_par.h debian/tmp/$(LIBDIR)/netcdf/mpi/include 

override_dh_auto_test:
	ARGS="--output-on-failure" dh_auto_test --max-parallel=1 || echo "Ignoring test failures"
	# Disable tests for pnetcdf. Multiple failures in nc_test where char conversions give:
	# test_put.c: NetCDF: Numeric conversion not representablea
	# This for 1.7.0pre1
	# LD_LIBRARY_PATH=$(CURDIR)/build-pnetcdf/liblib    $(MAKE) -C build-pnetcdf test

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.md

override_dh_strip:
	dh_strip --dbgsym-migration='netcdf-dbg (<< 1:4.5.0-2~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
